Name:		buildsys-macros
Summary:	Macros for the Fedora Buildsystem
# The value for version should match the version of the OS
Version:	12.2
Release:	0.suse%{version}
License:	GPL
Group:		Development/Buildsystem
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:  	noarch
# Requires:	rpmdevtools

%description
Macros for the Fedora Buildsystem

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rpm/
VERSION=%{version}
printf %s%b "%" "suse $VERSION\n" >> $RPM_BUILD_ROOT/etc/rpm/macros.disttag
printf %s%b "%" "dist .suse$VERSION\n" >> $RPM_BUILD_ROOT/etc/rpm/macros.disttag
printf %s%s%b "%" $(echo suse$VERSION | tr . _) " 1\n" >> $RPM_BUILD_ROOT/etc/rpm/macros.disttag
%if "%{?suse}" == ""
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> $RPM_BUILD_ROOT/etc/rpm/macros.checkbuild
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
%if "%{?suse}" == ""
/etc/rpm/macros.checkbuild
%endif

%changelog
* Wed Sep 27 2006 Dennis Gilmore <dennis@ausil.us>
- add macro to run check-buildroot

* Mon Jul 07 2006 Dennis Gilmore <dennis@ausil.us>
- rhel version

* Tue May 10 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- Initial build.
