$(FTPHOME)/linux/infrastructure/fedora/17/x86_64:
	mkdir -p $(FTPHOME)/linux/infrastructure/fedora/17/x86_64
DIRS += $(FTPHOME)/linux/infrastructure/fedora/17/x86_64
$(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug:
	mkdir -p $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug
DIRS += $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug

$(CACHEDIR)/linux/infrastructure/fedora/17/x86_64:
	mkdir -p $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64
DIRS += $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64
$(CACHEDIR)/linux/infrastructure/fedora/17/x86_64/debug:
	mkdir -p $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64/debug
DIRS += $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64/debug

$(FTPHOME)/linux/infrastructure/fedora/17/x86_64/repodata/repomd.xml: $(wildcard $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/*.rpm) \
	$(CACHEDIR)/linux/infrastructure/fedora/17/x86_64
	mkdir -p $(FTPHOME)/linux/infrastructure/fedora/17/x86_64
	$(CREATEREPO) -d -c $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64 -x '*-debuginfo-*' \
	$(FTPHOME)/linux/infrastructure/fedora/17/x86_64
REPOS += $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/repodata/repomd.xml

$(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug/repodata/repomd.xml: $(wildcard $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug/*.rpm) \
	$(CACHEDIR)/linux/infrastructure/fedora/17/x86_64/debug
	mkdir -p $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug
	$(CREATEREPO) -d -c $(CACHEDIR)/linux/infrastructure/fedora/17/x86_64/debug $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug
REPOS += $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/debug/repodata/repomd.xml

$(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64:
	mkdir -p $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64
DIRS += $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64

$(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/debug:
	mkdir -p $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/debug
DIRS += $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/debug

$(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/.stamp: $(wildcard $(FTPHOME)/linux/infrastructure/fedora/17/x86_64/*rpm) \
	$(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/debug \
	$(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64
	@(cd $(FTPHOME)/linux && $(REPOCLEAN) infrastructure/fedora/17/x86_64) | \
	while read a; do \
	echo "Backing up: $$a"; \
	mv $(FTPHOME)/linux/$$a $(FTPHOME)/linux/obsolete/$$a; \
	done
	touch $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/.stamp
OBSSTAMPS += $(FTPHOME)/linux/obsolete/infrastructure/fedora/17/x86_64/.stamp
