Name:		rtems-mock
Version:	1.20130719.0
Release:	0%{?dist}

Group:		Development/Tools
License:	GPLv2+

Summary:	RTEMS buildsystem scripts
URL:		http://www.rtems.org
Source:		ftp://ftp.rtems.org/pub/rtems/SOURCES/infrastructure/rtems-mock-1.20130719.0.tar.xz

BuildArch:	noarch

BuildRequires:  /usr/bin/repomanage
BuildRequires:	/usr/bin/createrepo
BuildRequires:  /usr/bin/rpmbuild
BuildRequires:	/usr/bin/perl
BuildRequires:	/usr/bin/mock
BuildRequires:  /usr/sbin/hardlink

Requires:	mock >= 0.8.4

%description
%{summary}

%package -n rtems-repotools
Summary:	RTEMS repo server maintenance tools
Group:		Development/Tools
Requires:	/usr/bin/repomanage
Requires:	/usr/bin/createrepo
Requires:	/usr/sbin/hardlink

%description -n rtems-repotools
%{summary}

%package -n mock-buildgroups
Summary:	Mock buildgroups
Group:		Development/Tools

%description -n mock-buildgroups
%{summary}

%package -n mock-rtems
Summary:	RTEMS mock configurations
Group:		Development/Tools
Requires:       mock-buildgroups
Obsoletes:	mock-mirrorlists-suse < 1.20130719.0
Provides:	mock-mirrorlists-suse = 1.20130719.0

%description -n mock-rtems
%{summary}

%prep
%setup -q

%build
%configure MOCK=/usr/bin/mock
make %{?_smp_flags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
if test -f %{_sysconfdir}/mock/defaults.cfg; then
rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/mock/defaults.cfg
fi
if test -f %{_sysconfdir}/mock/logging.ini; then
rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/mock/logging.ini
fi
if test -f %{_sysconfdir}/mock/site-defaults.cfg; then
rm -f ${RPM_BUILD_ROOT}%{_sysconfdir}/mock/site-defaults.cfg
fi

%files
%doc COPYING
%defattr(-,root,root,-)
%{_bindir}/rtems-mockbuild
%{_bindir}/rtems-mocksubmit
%{_bindir}/rtems-preprpms

%dir %{_datadir}/rtems-mock
%dir %{_datadir}/rtems-mock/RTEMS
%dir %{_datadir}/rtems-mock/RTEMS/Mock
# HACK: There should not be any config file in %%{_datadir}
%config(noreplace) %{_datadir}/rtems-mock/RTEMS/Mock/Setup.pm
%{_datadir}/rtems-mock/RTEMS/Mock/Config.pm
%{_datadir}/rtems-mock/RTEMS/RPMS

%attr(02775,root,mock) %{_localstatedir}/lib/rtems-mock

%files -n mock-rtems
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mock
%config(noreplace) %{_sysconfdir}/mock/*.cfg

%files -n mock-buildgroups
%defattr(-,root,root,-)
%dir %{_datadir}/mock
%{_datadir}/mock/buildgroups

%files -n rtems-repotools
%defattr(-,root,root,-)
%{_bindir}/rtems-repoclean
%{_bindir}/rtems-repoinstall
%{_bindir}/rtems-reposource
%{_bindir}/rtems-repoupdate
%{_bindir}/rtems-drpmsclean
%{_bindir}/rtems-rpm2tar

%dir %{_sysconfdir}/rtems-repotools
%config(noreplace) %{_sysconfdir}/rtems-repotools/config.mk

%dir %{_datadir}/rtems-mock
%{_datadir}/rtems-repotools

%changelog
* Tue Aug 25 2009	Ralf Corsépius <ralf.corsepius@rtems.org> - 0.20090825.1-0
- Remove mirrorlists.

* Thu Nov 15 2007	Ralf Corsépius - 0.20071115.1-0
- Initial spec file.
